
#define MAXPAR 28

#define MAXNOM 20
#define MAXNOME 20
#define MAXUM  4
#define MAXHLP 1
#define MAXHLP2 1

//ATRIBUTOS DE PRESENTACION
#define MENU   0x0001
#define EDIT   0x0002
#define U32    0x0004
#define U16    0x0008
#define S16    0x2000  // DE MOMENTO, NO SE PERMITEN NEGATIVOS
#define U8     0x4000
#define NVRAM  0x0010
#define DMAHMS 0x0020 //mostrar la variable  T  DD/MM/AA HH:MM:SS
#define HHMM   0x0040 //MUESTRO TIEMPO HH:MM
#define SECTOR 0x0080 //12345678
#define DIAS   0x0100 //LMXJVSDAQ+
#define SINO   0x0200 //VARIABLE TIPO BIT SI/NO  ?????pasar esto a unidadmedida????
#define ACTDES 0x0400 //VARIABLE TIPO BIT ACTIVADO/DESACTIVADO
#define DMA    0x0800 //mostrar DD/MM/AA
#define E2P    0x1000 //SE ALMACENA EN E2P (=POSICION QUE TABLA*4)

struct _tpar
   {
   char  nom [MAXNOM];  //nombre del campo en castellano
   char  nome[MAXNOME];  //nombre del campo en ingles
   u16   nodo;          //numero de nodo
   u16   padre;         //nodo padre
   long  lMin;
   long  lTip;
   long  lMax;
   long  lIncremento;
   u16   flags;
   void  *pVar;
   void  (*pGet)();
   void  (*pSet)();
   void  (*pView)();
   char  um[MAXUM];
   char  help[MAXHLP];
   char  help2[MAXHLP2];
   };

void PARReset(void);
void PARLoop(void);

